## pkg-perl-tools 0.5

=== Makefile ===
#!/usr/bin/make
# vim: noet ft=make


.PHONY: all
all:

PREFIX = usr
SCRIPTS := $(filter-out lib,$(notdir $(wildcard scripts/*)))
SCRIPT_LIBS := $(notdir $(wildcard scripts/lib/*))
BINS := $(notdir $(wildcard bin/*))
BIN_MANUALS := $(addsuffix .1,$(BINS))
CONF_MANUALS := $(patsubst %.pod,%,$(notdir $(wildcard man5/*)))
LINTIAN_CHECKS := $(notdir $(wildcard lintian/checks/pkg-perl/*))
LINTIAN_PROFILES := $(notdir $(wildcard lintian/profiles/pkg-perl/*))
VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')

MAN_DIR := $(PREFIX)/share/man/man1
MAN5_DIR := $(PREFIX)/share/man/man5

INSTALLED_SCRIPTS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/,$(SCRIPTS))
INSTALLED_SCRIPT_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,$(filter-out posix-lib.sh,$(SCRIPTS))))
INSTALLED_SCRIPT_ALIAS_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,co))
INSTALLED_SCRIPT_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/,$(SCRIPT_LIBS))
INSTALLED_BINS := $(addprefix $(DESTDIR)/$(PREFIX)/bin/,$(BINS))
INSTALLED_BIN_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/,$(BIN_MANUALS))
INSTALLED_LINTIAN_CHECKS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/, $(LINTIAN_CHECKS))
INSTALLED_LINTIAN_PROFILES := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/, $(LINTIAN_PROFILES))
INSTALLED_CONF_MANUALS := $(addprefix $(DESTDIR)/$(MAN5_DIR)/,$(addsuffix .5,$(CONF_MANUALS)))

INSTALL := install -D -m 0644
INSTALL_BIN := install -D -m 0755
POD2MAN := pod2man --release="pkg-perl-tools $(VERSION)" -c "Debian Perl packaging Tools"

.PHONY: install
install: $(INSTALLED_SCRIPTS) $(INSTALLED_SCRIPT_MANUALS) \
    $(INSTALLED_SCRIPT_ALIAS_MANUALS) \
    $(INSTALLED_SCRIPT_LIBS) \
    $(INSTALLED_BINS) $(INSTALLED_BIN_MANUALS) \
    $(INSTALLED_CONF_MANUALS) \
    $(INSTALLED_LINTIAN_CHECKS) $(INSTALLED_LINTIAN_PROFILES)

$(DESTDIR)/$(MAN_DIR) \
$(DESTDIR)/$(MAN5_DIR) \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib \
$(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl \
$(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl :
	$(INSTALL) -d -m 0755 $@

$(INSTALLED_SCRIPTS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/% : scripts/%
	$(INSTALL_BIN) $< $@

$(DESTDIR)/$(MAN_DIR)/dpt-co.1:
	ln -s dpt-checkout.1 $@

$(INSTALLED_SCRIPT_MANUALS) : $(DESTDIR)/$(MAN_DIR)/dpt-%.1 : scripts/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "dpt-$*" $< > $@

$(INSTALLED_SCRIPT_LIBS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/% : scripts/lib/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib
	$(INSTALL) $< $@

$(INSTALLED_BINS) : $(DESTDIR)/$(PREFIX)/bin/% : bin/%
	$(INSTALL_BIN) $< $@
	sed -i 's,DPT__SCRIPTS=scripts # REPLACED.*,DPT__SCRIPTS="/$(PREFIX)/share/pkg-perl-tools",' $@

$(INSTALLED_BIN_MANUALS) : $(DESTDIR)/$(MAN_DIR)/%.1 : bin/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "$*" $< > $@

$(INSTALLED_LINTIAN_CHECKS) : $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/% : lintian/checks/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_LINTIAN_PROFILES) : $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/% : lintian/profiles/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_CONF_MANUALS) : $(DESTDIR)/$(MAN5_DIR)/%.5 : man5/%.pod $(DESTDIR)/$(MAN5_DIR)
	$(POD2MAN) -n "$*" --section 5 $< > $@

.PHONY: clean
clean:

test:
	for f in `find bin scripts -maxdepth 1 -type f`; do \
	    if head -1 $$f | grep -q bin/perl; then \
		perl -c $$f || exit 1; \
	    elif head -1 $$f |grep -q python; then \
		echo "python script $$f not checked"; \
	    elif head -1 $$f |grep -q bash; then \
		bash -n $$f && echo "$$f bash script OK" || exit 1; \
	    else \
		sh -n $$f && echo "$$f shell script OK" || exit 1; \
	    fi \
	done
	prove -l
	-prove -l --ext .st

=== debian/changelog ===
pkg-perl-tools (0.5) unstable; urgency=low

  [ gregor herrmann ]
  * dpt-takeover: call `dpt alioth-repo' instead of the removed alioth-
    git-repo script in the repo.
  * dpt-dch-note: POD fix. Add newlines to avoid wrapping of the items.

  [ Damyan Ivanov ]
  * small indentation fix in POD

  [ gregor herrmann ]
  * Add libconfig-model-dpkg-perl to Recommends.
    Needed by at least dpt-gen-itp, and only suggested by
    libconfig-model-perl.

  [ Axel Beckert ]
  * Allow multiple packages as parameter to "dpt checkout".
  * Update POD of "dpt checkout" to mention "dpt co" and the directory
    changing feature.
  * Add (open)ssh-client to Depends.
    Needed by all commands which create or modify git repositories on Alioth.
  * Bump Standards-Version to 3.9.5 (no changes)
  * Fix typo in POD of scripts/push.
  * dpt checkout: Only change directory if only one package has been
    checked out
  * Make "dpt push" honor debian-tag, debian-branch, upstream-tag, and
    upstream-branch settings from .gbp.conf, debian/gbp.conf, and
    .git/gbp.conf.
  * Add debian/gbp.conf to document non-gbp-standard tag syntax.

  [ gregor herrmann ]
  * Add new dpt-debian-upstream script:
    convert META.{json,yml} to debian/upstream.
  * Add libyaml-libyaml-perl to Build-Depends and Recommends.
    Needed by dpt-debian-upstream.
  * Add new upstream-repo script:
    add upstream Git repository as git remote.
  * Add libdebian-copyright-perl to Recommends. Used by dpt-upstream-repo.
  * Add new dpt-import-orig script:
    git-import-orig wrapper with upstream tracking support.
  * Add information about new scripts to debian/copyright.
  * Mention new scripts in dpt(1).

  * Update URL of repack.sh in examples/repack.stub.
  * Add build dependency on spell checkers. Needed by t/spelling.st.
  * Add more stopwords to t/spelling.st.

  [ Axel Beckert ]
  * Backwards-compatible transition from git-import-* to gbp-import-*

  [ Salvatore Bonaccorso ]
  * mass-commit: Replace use of vasks.debian.org with git.debian.org
  * rename-uploader: Replace use of vasks.debian.org with git.debian.org

  [ gregor herrmann ]
  * dpt-takeover: use dpt-push after running dpt-packagecheck.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Jan 2014 00:12:06 +0200

pkg-perl-tools (0.4) unstable; urgency=low

  [ Damyan Ivanov ]
  * document dpt-config
  * fix section on dpt-config references
  * install man5/
  * fix dpt-config.pod name

  [ Salvatore Bonaccorso ]
  * Add reference for dpt-alioth-repo to dpt POD

  [ Damyan Ivanov ]
  * recommend libmodule-inspector-perl
  * add a 'push' subcommand

 -- Damyan Ivanov <dmn@debian.org>  Sun, 20 Oct 2013 19:36:22 +0300

pkg-perl-tools (0.3) unstable; urgency=low

  [ gregor herrmann ]
  * Add new lintian checks: libmodule-build-(tiny-)perl need to be in
    Build-Depends, not in Build-Depends-Indep, since they are used in the
    clean target.

  [ Damyan Ivanov ]
  * add "dpt cd" sub-command
  * provide 'dpt co' as a shortcut for 'dpt checkout'
  * provide bash-specific cleanup in dpt()
  * implement 'dpt gc' -- 'git gc' over all packages

 -- Damyan Ivanov <dmn@debian.org>  Sun, 22 Sep 2013 20:47:08 +0300

pkg-perl-tools (0.2) unstable; urgency=low

  [ gregor herrmann ]
  * Install examples into binary package.
  * Install README about lintian profile.

  [ Axel Beckert ]
  * Run, but ignore spelling tests. Move libtest-spelling-perl from
    Build-Conflicts to Build-Depends. Rename spelling.t to spelling.st and
    ignore the result of all .st tests.
  * Mention lintian checks copyright in debian/copyright
  * Mention gregoa in debian/copyright for debian/*, too
  * Add .mailmap to properly attribute commits made under different
    committer names
  * t/spelling.st: Add some more stop-words and "M-x sort-lines" them

  [ Damyan Ivanov ]
  * add 'dpt checkout' script
  * dpt: read configuration
  * propagate DPT_* settings to child processes
  * report the location of the checkout
  * sort sub-commands alphabetically in dpt(1)

  [ Salvatore Bonaccorso ]
  * patchedit: Avoid given/when construct.
  * Formatting cleanup for patchedit script
  * patchedit: Avoid smartmatching operator ~~
  * Add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Fri, 06 Sep 2013 22:00:09 +0300

pkg-perl-tools (0.1) unstable; urgency=low

  * Initial release (Closes: #719291)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 26 Aug 2013 22:55:31 +0300

=== debian/control ===
Source: pkg-perl-tools
Section: devel
Priority: extra
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>,
 Axel Beckert <abe@debian.org>,
 gregor herrmann <gregoa@debian.org>,
 Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper (>= 9~),
 git,
 libconfig-model-perl,
 libdatetime-perl,
 libipc-run-perl,
 libmime-lite-perl,
 libparse-debianchangelog-perl,
 libproc-invokeeditor-perl,
 librt-client-rest-perl,
 libsoap-lite-perl,
 libtest-pod-perl,
 libtest-spelling-perl,
 libwww-mechanize-perl,
 libyaml-libyaml-perl,
 perl,
 spell | aspell | ispell | hunspell
Standards-Version: 3.9.5
Homepage: http://wiki.debian.org/Teams/DebianPerlGroup
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pkg-perl-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pkg-perl-tools.git

Package: pkg-perl-tools
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 debhelper,
 devscripts,
 dh-make-perl,
 git,
 git-buildpackage,
 libdatetime-perl,
 libipc-run-perl,
 libparse-debianchangelog-perl,
 libproc-invokeeditor-perl,
 librt-client-rest-perl,
 lintian (>= 2.5.12~),
 openssh-client | ssh-client,
 pristine-tar,
 quilt
Recommends: myrepos | mr,
 libconfig-model-perl,
 libconfig-model-dpkg-perl,
 libdebian-copyright-perl,
 libmime-lite-perl,
 libmodule-inspector-perl,
 libsoap-lite-perl,
 libwww-mechanize-perl,
 libyaml-libyaml-perl
Suggests: bc,
 cdbs,
 moreutils,
 perl-depends,
 python,
 python-launchpadlib
Description: collection of tools to aid packaging Perl modules in Debian
 The Debian Perl Group works on packaging Perl modules for Debian. This
 collection contains the tools which help the group with day-to-day work, like
 filing ITPs, forwarding bugs and patches upstream, taking over a package for
 the group, maintaining proper git repository structure and so on.
 .
 Additionally it depends on, recommends or suggests separately
 packaged tools the Debian Perl Group uses.
 .
 It also includes some Debian Perl Group specific lintian checks.

=== debian/rules ===
#!/usr/bin/make -f
# vim: set noet ft=make
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

## pkg-perl-tools 0.13

=== debian/changelog ===
pkg-perl-tools (0.13) unstable; urgency=medium

  [ Niko Tyni ]
  * autopkgtest/smoke: use xvfb-run if available.
    If debian/rules uses xvfb-run for the test suite, it will be in the build
    dependencies and therefore present in the test chroot.
  * autopkgtest/smoke: copy the full directory structure of test-files.
    If the listed files are in a subdirectory, we want the subdirectory to be
    copied too rather than having the files end up in the main target
    directory.
  * autopkgtest/smoke: create a full dummy blib directory structure.
    This makes 'use blib' work rather than throw an error.
  * autopkgtest/smoke: Create a dummy file under blib/lib/ to appease some
    test suites.
    This placates tests that try to assemble a list of files to test in the
    source tree and croak if they can't find any.
  * autopkgtest/syntax: Skip the test for packages with soft dependencies.
    The package might have modules that need Suggested packages.
    We don't want to keep track of those manually, so skip the test altogether
    for such packages.
  * autopkgtest/runner: ignore .proverc files in tested packages.
  * autopkgtest/runner: save the exit code from failed tests
  * autopkgtest: new test type runtime-deps-and-recommends, needed by
    syntax.t.
    This is for tests that need to be run with Recommendations installed.
    Currently the only such test is syntax.t, moved over from the runtime-deps
    side.

  [ gregor herrmann ]
  * Update Makefile for the new autopkgtest test set.
    Install the new runtime-deps-and-recommends.d/ directory and its contents.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Sep 2014 23:39:54 +0200

pkg-perl-tools (0.12) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Use dpkg-parsechangelog --show-field calls
  * Add (Build-)Depends on dpkg-dev (>= 1.17.0)
    dpkg 1.17.0 introduced the --show-version flag for dpkg-parsechangelog.

  [ Niko Tyni ]
  * autopkgtest runner: Support disabling standard tests per package.
    Don't run tests that have corresponding files under debian/tests/pkg-
    perl/SKIP in the package.

  [ gregor herrmann ]
  * dpt-debian-upstream: don't add Homepage to debian/upstream/metadata.
    The field was demoted to "not recommended" in the UMEGAYA
    specification, since it duplicates the Homepage field in
    debian/control.

  [ Axel Beckert ]
  * Don't emit no-module-name-in-description if no Perl module named like
    the package is found. Reduces false positives for oddly named module
    distributions.
  * "make test" now also checks syntax of .pm files (i.e. lintian checks)

  [ gregor herrmann ]
  * autopkg-test: smoke test: create empty $TDIR/blib directory.
    Otherwise Test::Pod's all_pod_files{,_ok} tests fail if the find neither a
    blib/ nor a lib/ directory. With the empty blib/, the tests are
    effectively skipped which is better than failing them.
  * Add build dependency on lintian, required by new tests.
  * Update debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Sep 2014 23:20:21 +0200

pkg-perl-tools (0.11) unstable; urgency=medium

  [ Axel Beckert ]
  * Add an adequate based autopkgtest test script to pkg-perl-autopkgtest.
  * Fix typos in previous changelog entry
  * Extend long description of pkg-perl-autopkgtest. Fixes lintian warning
    extended-description-is-probably-too-short.

  [ Niko Tyni ]
  * Add a missing dependency on "perl" to the pkg-perl-autopkgtest package.
    perl is needed for at least prove and Test::More.
  * Add a test runner that checks the syntax of all the perl modules on @INC.
  * Make the autopkgtest runner invoke prove -v on *.t files
  * Add a test runner that tries to 'use' the main module in the package.

  [ gregor herrmann ]
  * autopkgtest: implement a generic test runner framework that runs test
    scripts in *.d subdirectories. (See README.autopkgtest)
  * autopkgtest: pkg-perl-autopkgtest now Provides: pkg-perl-autopkgtest-heavy.
  * autopkgtest: move adequate test to examples.
  * dpt-import-orig: handle versions with epoch when calling dch.

  [ Salvatore Bonaccorso ]
  * import-orig: Create changelog entry after importing new upstream version
  * upstream-repo: Create changelog entry after adding debian/upstream/metadata

  [ Dominic Hargreaves ]
  * Team upload

 -- Dominic Hargreaves <dom@earth.li>  Sun, 31 Aug 2014 19:37:28 -0700

pkg-perl-tools (0.10) unstable; urgency=medium

  [ gregor herrmann ]
  * Lintian checks: escape < and > in usr-lib-perl5-mentioned description.

  [ Salvatore Bonaccorso ]
  * mass-commit: Use git checkout instead of git co
  * Update Vcs-Browser URL to cgit web frontend

  [ David Bremner ]
  * scripts:/upstream-repo:
    - tighten regexp for grabbing URL from debian/upstream/metadata
    - use "git ls-remote" to probe URLs
  * scripts/import-orig:
    - add default value for DPT_RM_TARGZ
    - collapse two cases of tag guessing
    - improve handling of missing tags under "set -e"
    - tidy handling of different import scripts

  [ gregor herrmann ]
  * scripts/upstream-repo:
    - add -g option.
      Don't git add/commit debian/upstream/metadata.
    - update copyright notice

  [ Damyan Ivanov ]
  * add a lintian check that the main module name is present in the long
    description
  * dpt checkout: hook 'dpt upstream-repo' if debian/upstream/metadata
    contains repository information

  [ Damyan Ivanov ]
  * dpt checkout: fetch upstream remote if already present
  * dpt upstream-repo: fetch upstream remote

  [ pkg-perl@DebConf Outdoor Hacklab Group ]
  * Add new binary package pkg-perl-autopkgtest
    to collect autopkgtest scripts.
  * Add first autopkgtest test script which uses prove.
  * Add copyright/license information for new autopkgtest/* files.

 -- gregor herrmann <gregoa@debian.org>  Thu, 28 Aug 2014 21:17:49 -0700

pkg-perl-tools (0.9) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-forward: don't include "Forwarded: " line in patch forwarding


=== debian/control ===
--- 
+++ 
@@ -7,11 +7,15 @@
  gregor herrmann <gregoa@debian.org>,
  Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 9~),
+ dpkg-dev (>= 1.17.0),
  git,
  libconfig-model-perl,
  libdatetime-perl,
+ libdpkg-perl,
  libipc-run-perl,
+ libfile-slurp-perl,
  libmime-lite-perl,
+ libnet-github-perl,
  libparse-debianchangelog-perl,
  libproc-invokeeditor-perl,
  librt-client-rest-perl,
@@ -20,12 +24,13 @@
  libtest-spelling-perl,
  libwww-mechanize-perl,
  libyaml-libyaml-perl,
+ lintian,
  perl,
  spell | aspell | ispell | hunspell
 Standards-Version: 3.9.5
 Homepage: http://wiki.debian.org/Teams/DebianPerlGroup
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pkg-perl-tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pkg-perl-tools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
 
 Package: pkg-perl-tools
 Architecture: all
@@ -33,9 +38,11 @@
  debhelper,
  devscripts,
  dh-make-perl,
+ dpkg-dev (>= 1.17.0),
  git,
  git-buildpackage,
  libdatetime-perl,
+ libdpkg-perl,
  libipc-run-perl,
  libparse-debianchangelog-perl,
  libproc-invokeeditor-perl,
@@ -48,13 +55,16 @@
  libconfig-model-perl,
  libconfig-model-dpkg-perl,
  libdebian-copyright-perl,
+ libfile-slurp-perl,
  libmime-lite-perl,
  libmodule-inspector-perl,
+ libnet-github-perl,
  libsoap-lite-perl,
  libwww-mechanize-perl,
  libyaml-libyaml-perl
 Suggests: bc,
  cdbs,
+ duck,
  moreutils,
  perl-depends,
  python,
@@ -69,3 +79,15 @@
  packaged tools the Debian Perl Group uses.
  .
  It also includes some Debian Perl Group specific lintian checks.
+
+Package: pkg-perl-autopkgtest
+Architecture: all
+Depends: perl, ${misc:Depends}
+Provides: pkg-perl-autopkgtest-heavy
+Description: collection of autopktest scripts for Perl packages
+ This package contains test runners to be used with the autopkgtest
+ infrastructure for perl packages.
+ .
+ Packages using the tests with autopkgtests in this package need to
+ depend on it in their debian/tests/control file, not in their
+ debian/control file.

## pkg-perl-tools 0.19

=== debian/changelog ===
pkg-perl-tools (0.19) unstable; urgency=medium

  * Fix traversing the wrong directory in lintian/checks/…/module-name.pm
    (Closes: #763891) Thanks Niels Thykier!

 -- Axel Beckert <abe@debian.org>  Fri, 03 Oct 2014 20:15:02 +0200

pkg-perl-tools (0.18) unstable; urgency=medium

  [ Niko Tyni ]
  * Add basic lintian checks for Testsuite: autopkgtest-pkg-perl

  [ Axel Beckert ]
  * Update our lintian checks for lintian 2.5.28's API (Closes: #763204)
    + (Build-)Depends on lintian >= 2.5.28~
  * Fix lintian warning missing-testsuite-header (see above ;-)

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Oct 2014 00:36:49 +0200

pkg-perl-tools (0.17) unstable; urgency=medium

  * autopkgtest/smoke:
    + survive empty t/ directories
    + don't run test.pl with prove
    + skip t/04critic.t and t/97meta.t by default
  * autopkgtest/syntax: process packages with Suggestions if there's a skip list
  * autopkgtest: update README to reflect current practice

 -- Niko Tyni <ntyni@debian.org>  Sun, 21 Sep 2014 21:30:40 +0300

pkg-perl-tools (0.16) unstable; urgency=medium

  [ Niko Tyni ]
  * autopkgtest/smoke: support comments and empty lines in test-files
  * autopkgtest/smoke: skip tests listed in debian/tests/pkg-perl/skip-smoke
  * autopkgtest/smoke: skip t/boilerplate.t, t/pod.t, and t/pod-coverage.t
    by default

  [ Axel Beckert ]
  * Add an "Enhances: lintian" header to since it contains lintian checks.
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Niko Tyni <ntyni@debian.org>  Thu, 18 Sep 2014 23:11:29 +0300

pkg-perl-tools (0.15) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/mass-commit:
    - add -s to proposed mr push
    - update copyright notice

  [ Niko Tyni ]
  * autopkgtest/smoke: set AUTOMATED_TESTING and NONINTERACTIVE_TESTING
  * autopkgtest/smoke: also use test.pl if present
  * autopkgtest/smoke: don't recurse into subdirectories of t/
  * autopkgtest/smoke: don't overwrite MANIFEST* if they exist

  [ Axel Beckert ]
  * Avoid symlink attacks lintian/checks/…/{usr-lib-perl5,xs-abi}.pm. Also
    fixes Perl warnings in lintian/checks/pkg-perl/usr-lib-perl5.pm if
    debian/$file is a symlink pointing outside the debian directory.
  * Add lintian check for wrong section and package name when packaging
    applications.
  * Mention in package description that the contained lintian checks need
    to be enabled explicitly.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Sep 2014 19:51:33 +0200

pkg-perl-tools (0.14) unstable; urgency=medium

  [ Niko Tyni ]
  * autopkgtest: 
    - move debian/tests/test-files under debian/tests/pkg-perl/
    - move debian/tests/module-name under debian/tests/pkg-perl/
    This is to unify the pkg-perl test configuration. We fall back to the
    old locations for now.
  * autopkgtest: make syntax.t skip files listed in d/t/pkg-perl/skip-
    syntax.
  * autopkgtest: add a new example file "default-tests-control".
    This can be copied over to the package source tree and edited when
    necessary.
  * autopkgtest: install a more complete dummy module for POD checkers.
  * autopkgtest/smoke: remove the temporary directory after tests.
  * autopkgtest/smoke: create dummy MANIFEST and MANIFEST.SKIP files.
    This placates some test suites that insist on author tests.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Sep 2014 20:56:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Damyan Ivanov <dmn@debian.org>,
  Axel Beckert <abe@debian.org>,
  gregor herrmann <gregoa@debian.org>,
- Salvatore Bonaccorso <carnil@debian.org>
+ Salvatore Bonaccorso <carnil@debian.org>,
+ Niko Tyni <ntyni@debian.org>
 Build-Depends: debhelper (>= 9~),
  dpkg-dev (>= 1.17.0),
  git,
@@ -24,13 +25,14 @@
  libtest-spelling-perl,
  libwww-mechanize-perl,
  libyaml-libyaml-perl,
- lintian,
+ lintian (>= 2.5.28~),
  perl,
  spell | aspell | ispell | hunspell
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://wiki.debian.org/Teams/DebianPerlGroup
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pkg-perl-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
+Testsuite: autopkgtest-pkg-perl
 
 Package: pkg-perl-tools
 Architecture: all
@@ -47,7 +49,7 @@
  libparse-debianchangelog-perl,
  libproc-invokeeditor-perl,
  librt-client-rest-perl,
- lintian (>= 2.5.12~),
+ lintian (>= 2.5.28~),
  openssh-client | ssh-client,
  pristine-tar,
  quilt
@@ -69,6 +71,7 @@
  perl-depends,
  python,
  python-launchpadlib
+Enhances: lintian
 Description: collection of tools to aid packaging Perl modules in Debian
  The Debian Perl Group works on packaging Perl modules for Debian. This
  collection contains the tools which help the group with day-to-day work, like
@@ -78,7 +81,9 @@
  Additionally it depends on, recommends or suggests separately
  packaged tools the Debian Perl Group uses.
  .
- It also includes some Debian Perl Group specific lintian checks.
+ It also includes some Debian Perl Group specific lintian checks. Add
+ "LINTIAN_PROFILE=pkg-perl" to your ~/.lintianrc to use them after
+ installing this package.
 
 Package: pkg-perl-autopkgtest
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+APT=$(CURDIR)/debian/pkg-perl-autopkgtest/usr/share/pkg-perl-autopkgtest
+
 %:
 	dh $@ 
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod +x $(APT)/* $(APT)/*/*

## pkg-perl-tools 0.24

=== debian/changelog ===
pkg-perl-tools (0.24) unstable; urgency=medium

  * Remove checks which moved to lintian from pkg-perl profile.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Aug 2015 16:38:23 +0200

pkg-perl-tools (0.23) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix patchedit to not expect a file in $PATH as $EDITOR but to support
    $EDITOR to contain commandline options.
  * Move application-not-library, modulebuild, no-perl-modules, and
    usr-lib-perl5 lintian checks to lintian proper.
  * Rewrite module-name check (tag no-module-name-in-description) as
    binary check and integrate it into lintian's description check as tag
    perl-module-name-not-mentioned-in-description.
  * Recommend lintian >= 2.5.36 for the checks which used to be in the
    pkg-perl-tools package.

  [ gregor herrmann ]
  * examples/check-build: use mergechanges for sourceless uploads instead
    of manually messing with the .changes file.
  * examples/check-build: add stanza for running adt-run (with schroot and
    a chroot named/aliased to "default").

 -- Axel Beckert <abe@debian.org>  Fri, 14 Aug 2015 22:39:18 +0200

pkg-perl-tools (0.22) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-takeover: update documentation to use of gbp-import-dscs.

  [ Salvatore Bonaccorso ]
  * Document dpt-forward in dpt commands listing

  [ Axel Beckert ]
  * gen-itp:
    + Use Perl 5.10 feature "say" instead of the local sub "p" which does
      the same.
    + Nicer output formatting.
    + Whitespace cleanup.
    + Output the sentence "The package will be maintained under the
      umbrella of the Debian Perl Group." behind the package description
      if the maintainer is set to the Debian Perl Group.
  * Try to fool autodep8 into thinking it's a EU::MM based test suite.
    + Add no-op Makefile.PL. debhelper doesn't seem to be fooled by that,
      probably because a Makefile already exists.
    + Hardcode build system in debian/rules as "Makefile" anyway to be
      safe against future debhelper changes.

 -- Axel Beckert <abe@debian.org>  Sat, 08 Aug 2015 16:31:40 +0200

pkg-perl-tools (0.21) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * examples/b: Use buildpackage subcomand for gbp in case git directory
    is present

  [ gregor herrmann ]
  * examples/buildpackage-pdebuild: initialize DEBBUILDOPTS with -d.
    This passes -d ("Do not check build dependencies and conflicts.") to
    dpkg-buildpackage.

  [ Axel Beckert ]
  * dpt-push: Also push git notes for use with Niko Tyni's git-debcherry
    variant (see #784159)
  * dpt-alioth-repo:
    + Check if a remote named "origin" already exists and if it's already
      the expected remote repository before creating a remote repository
      named "origin".
    + Proper error message if distribution name couldn't be determined.
      Read a distribution name as first parameter in that case.
  * dpt-takeover:
    + Change to use "gbp-import-dscs --debsnap" instead of "apt-get
      source" and "gbp-import-dsc".
    + set -u only after environment variable checking.
  * dpt-upstream-repo+examples/mass-commit: Use Gbp-Dch instead of Git-Dch
  * debian/copyright: Remove .mailmap stanza. It's only needed in the git
    repository and not included in the generated source package.  Silences
    lintian wrt. unused-file-paragraph-in-dep5-copyright, etc.  Lacks
    creativity anyways to validate a copyright and license.
  * lintian-checks: Also output the testsuite header's value if the tag
    nonteam-testsuite-header is emitted.

  [ gregor herrmann ]
  * dpt-import-orig: use Gbp-Dch for changelog commit message.

 -- Axel Beckert <abe@debian.org>  Wed, 22 Jul 2015 00:22:00 +0200

pkg-perl-tools (0.20) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-import-orig: use present tense for changelog message.
  * pkg-perl-tools: add autopkgtest and autodep8 to Recommends.
  * dpt-import-orig: also (optionally) remove tarballs named *.tgz.
  * examples/buildpackage-pdebuild:
    + add -p option which sets DEB_BUILD_OPTIONS='nostrip'
    + demote qemubuilder codepath to a commented out example
  * examples/check-build:
    + rename piuparts log file
    + update stripping of binary packages.
      Besides removing .deb lines from the .changes file, also change the
      Architecture: field.
  * Update copyright years in example scripts and debian/copyright.

  [ Salvatore Bonaccorso ]
  * Remove trailing comma in Build-Depends list
  * Don't rely on dash expanding escape sequences by default.
    Instead of using echo "\t..." use a printf call to not rely on /bin/sh
    being dash and expanding escape sequences. (Closes: #772293)
  * forward-patch: Correct typo in error message (debain -> debian)
    Thanks to Raphael Geissert <geissert@debian.org> (Closes: #772497)
  * check-build: Strip as well udebs when choosing to strip
    arch:any .debs

  [ Damyan Ivanov ]
  * dpt-push: exit with the status of the actual 'git push' command
    (Closes: #764825)
  * dpt-forward: add --force option, allowing forwarding an already
    forwarded bug/patch

  [ Ansgar Burchardt ]
  * Do not pass --force-yes to apt-get. apt's --force-yes option disables
    signature checks and therefore is a bad option to use.

  [ Axel Beckert ]
  * Replace all command calls to "gbp-something" with "gbp something" to
    support git-buildpackage ≥ 0.6.24. (Closes: #783521)

 -- Axel Beckert <abe@debian.org>  Mon, 27 Apr 2015 20:39:50 +0200

=== debian/control ===
Source: pkg-perl-tools
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>,
           Axel Beckert <abe@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Salvatore Bonaccorso <carnil@debian.org>,
           Niko Tyni <ntyni@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-perl
Priority: extra
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.17.0),
               git,
               libconfig-model-perl,
               libdatetime-perl,
               libdpkg-perl,
               libfile-slurp-perl,
               libipc-run-perl,
               libmime-lite-perl,
               libnet-github-perl,
               libparse-debianchangelog-perl,
               libproc-invokeeditor-perl,
               librt-client-rest-perl,
               libsoap-lite-perl,
               libtest-pod-perl,
               libtest-spelling-perl,
               libwww-mechanize-perl,
               libyaml-libyaml-perl,
               lintian (>= 2.5.28~),
               perl,
               spell | aspell | ispell | hunspell
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pkg-perl-tools.git
Homepage: http://wiki.debian.org/Teams/DebianPerlGroup

Package: pkg-perl-tools
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debhelper,
         devscripts,
         dh-make-perl,
         dpkg-dev (>= 1.17.0),
         git,
         git-buildpackage,
         libdatetime-perl,
         libdpkg-perl,
         libipc-run-perl,
         libparse-debianchangelog-perl,
         libproc-invokeeditor-perl,
         librt-client-rest-perl,
         lintian (>= 2.5.28~),
         openssh-client | ssh-client,
         pristine-tar,
         quilt
Recommends: autodep8,
            autopkgtest,
            libconfig-model-dpkg-perl,
            libconfig-model-perl,
            libdebian-copyright-perl,
            libfile-slurp-perl,
            libmime-lite-perl,
            libmodule-inspector-perl,
            libnet-github-perl,
            libsoap-lite-perl,
            libwww-mechanize-perl,
            libyaml-libyaml-perl,
            lintian (>= 2.5.36~),
            myrepos | mr
Suggests: bc,
          cdbs,
          duck,
          moreutils,
          perl-depends,
          python,
          python-launchpadlib
Enhances: lintian
Description: collection of tools to aid packaging Perl modules in Debian
 The Debian Perl Group works on packaging Perl modules for Debian. This
 collection contains the tools which help the group with day-to-day work, like
 filing ITPs, forwarding bugs and patches upstream, taking over a package for
 the group, maintaining proper git repository structure and so on.
 .
 Additionally it depends on, recommends or suggests separately
 packaged tools the Debian Perl Group uses.
 .
 It also includes some Debian Perl Group specific lintian checks. Add
 "LINTIAN_PROFILE=pkg-perl" to your ~/.lintianrc to use them after
 installing this package.

Package: pkg-perl-autopkgtest
Architecture: all
Depends: ${misc:Depends},
         perl
Provides: pkg-perl-autopkgtest-heavy
Description: collection of autopktest scripts for Perl packages
 This package contains test runners to be used with the autopkgtest
 infrastructure for perl packages.
 .
 Packages using the tests with autopkgtests in this package need to
 depend on it in their debian/tests/control file, not in their
 debian/control file.

## pkg-perl-tools 0.28

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,12 @@
 CONF_MANUALS := $(patsubst %.pod,%,$(notdir $(wildcard man5/*)))
 LINTIAN_CHECKS := $(notdir $(wildcard lintian/checks/pkg-perl/*))
 LINTIAN_PROFILES := $(notdir $(wildcard lintian/profiles/pkg-perl/*))
-VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')
+AUTOPKGTEST_SCRIPTS := $(notdir $(wildcard autopkgtest/scripts/runner))
+AUTOPKGTEST_SCRIPTS_BUILDDEPS := $(notdir $(wildcard autopkgtest/scripts/build-deps.d/*))
+AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps.d/*))
+AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps-and-recommends.d/*))
+AUTOPKGTEST_SCRIPTS_HEAVYDEPS := $(notdir $(wildcard autopkgtest/scripts/heavy-deps.d/*))
+VERSION := $(shell dpkg-parsechangelog --show-field Version)
 
 MAN_DIR := $(PREFIX)/share/man/man1
 MAN5_DIR := $(PREFIX)/share/man/man5
@@ -26,6 +31,11 @@
 INSTALLED_BIN_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/,$(BIN_MANUALS))
 INSTALLED_LINTIAN_CHECKS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/, $(LINTIAN_CHECKS))
 INSTALLED_LINTIAN_PROFILES := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/, $(LINTIAN_PROFILES))
+INSTALLED_AUTOPKGTEST_SCRIPTS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/, $(AUTOPKGTEST_SCRIPTS))
+INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/, $(AUTOPKGTEST_SCRIPTS_BUILDDEPS))
+INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS))
+INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS))
+INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/, $(AUTOPKGTEST_SCRIPTS_HEAVYDEPS))
 INSTALLED_CONF_MANUALS := $(addprefix $(DESTDIR)/$(MAN5_DIR)/,$(addsuffix .5,$(CONF_MANUALS)))
 
 INSTALL := install -D -m 0644
@@ -38,13 +48,23 @@
     $(INSTALLED_SCRIPT_LIBS) \
     $(INSTALLED_BINS) $(INSTALLED_BIN_MANUALS) \
     $(INSTALLED_CONF_MANUALS) \
-    $(INSTALLED_LINTIAN_CHECKS) $(INSTALLED_LINTIAN_PROFILES)
+    $(INSTALLED_LINTIAN_CHECKS) $(INSTALLED_LINTIAN_PROFILES) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS)
 
 $(DESTDIR)/$(MAN_DIR) \
 $(DESTDIR)/$(MAN5_DIR) \
 $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib \
 $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl \
-$(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl :
+$(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d :
 	$(INSTALL) -d -m 0755 $@
 
 $(INSTALLED_SCRIPTS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/% : scripts/%
@@ -72,6 +92,21 @@
 $(INSTALLED_LINTIAN_PROFILES) : $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/% : lintian/profiles/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl
 	$(INSTALL) $< $@
 
+$(INSTALLED_AUTOPKGTEST_SCRIPTS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/% : autopkgtest/scripts/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest
+	$(INSTALL) $< $@
+
+$(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/% : autopkgtest/scripts/build-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d
+	$(INSTALL) $< $@
+
+$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/% : autopkgtest/scripts/runtime-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d
+	$(INSTALL) $< $@
+
+$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/% : autopkgtest/scripts/runtime-deps-and-recommends.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d
+	$(INSTALL) $< $@
+
+$(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/% : autopkgtest/scripts/heavy-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d
+	$(INSTALL) $< $@
+
 $(INSTALLED_CONF_MANUALS) : $(DESTDIR)/$(MAN5_DIR)/%.5 : man5/%.pod $(DESTDIR)/$(MAN5_DIR)
 	$(POD2MAN) -n "$*" --section 5 $< > $@
 
@@ -90,5 +125,8 @@
 		sh -n $$f && echo "$$f shell script OK" || exit 1; \
 	    fi \
 	done
+	for f in `find . -name '*.pm' -type f`; do \
+	    perl -c $$f || exit 1; \
+	done
 	prove -l
 	-prove -l --ext .st

=== debian/changelog ===
pkg-perl-tools (0.28) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * packagecheck: Use https transport protocol in Vcs-Git URI.
    If a missing Vcs-Git field is found, then add the URI using the https
    transport protocol instead of git.

  [ Christopher Hoskin ]
  * Add support for smoke-cleanup script. Closes: #813307
  * Remove redundant second PDIR=`pwd` from smoke
  * Document new smoke-cleanup feature in autopkgtest/README.autopkgtest

  [ gregor herrmann ]
  * Add new copyright holder for autopkgtest/.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.7.
  * debian/control: use HTTPS for Vcs-Git URL.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Feb 2016 15:45:49 +0100

pkg-perl-tools (0.27) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/buildpackage-pdebuild: drop '-d' from DEBBUILDOPTS.
    The parameter is added by pdebuild itself now.
  * examples/check-build: new option to strip all binary packages from the
    .changes file, with fallback option to only strip arch:any ones.
    Thanks to Salvatore Bonaccorso for coming up with this elegant patch.

  [ Niko Tyni ]
  * autopkgtest/smoke:
    + export TDIR for the smoke-setup script as documented
    + ignore stderr from test.pl

 -- Niko Tyni <ntyni@debian.org>  Mon, 12 Oct 2015 13:58:51 +0300

pkg-perl-tools (0.26) unstable; urgency=medium

  * Rename autopkgtest configuration files, with a fallback to the old names.
    (Closes: #799487)
  * Make it possible to override the prove --merge option by unsetting
    PKG_PERL_PROVE_ARGS in smoke-env. (Closes: #799444)
  * Support executing debian/tests/pkg-perl/smoke-setup as a last resort.
    (Closes: #799486)

 -- Niko Tyni <ntyni@debian.org>  Sat, 26 Sep 2015 22:20:51 +0300

pkg-perl-tools (0.25) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * check-build: Check as well for udebs when striping arch:any debs

  [ Florian Schlichting ]
  * checkout: fetch debcherry notes if there are any, until fixed gbp is available

  [ Damyan Ivanov ]
  * Add more things to do to the TODO list

  [ Niko Tyni ]
  * Add support for debian/tests/pkg-perl/env-smoke (Closes: #763541)

 -- Niko Tyni <ntyni@debian.org>  Sun, 06 Sep 2015 15:38:04 +0300

=== debian/control ===
--- 
+++ 
@@ -29,9 +29,9 @@
                lintian (>= 2.5.28~),
                perl,
                spell | aspell | ispell | hunspell
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pkg-perl-tools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pkg-perl-tools.git
 Homepage: http://wiki.debian.org/Teams/DebianPerlGroup
 
 Package: pkg-perl-tools

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 APT=$(CURDIR)/debian/pkg-perl-autopkgtest/usr/share/pkg-perl-autopkgtest
 
 %:
-	dh $@ 
+	# The build system is hard-coded to make sure debhelper
+	# doesn't fall for the trick which is intended to fool
+	# autodep8. See the fake Makefile.PL for details.
+	dh $@ --buildsystem=makefile
 
 override_dh_fixperms:
 	dh_fixperms

## pkg-perl-tools 0.33

=== debian/changelog ===
pkg-perl-tools (0.33) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-import-orig: don't explicitly run `git fetch upstream-repo'.
    This is already handled by dpt-upstream-repo. Additionally call
    dpt-upstream-repo with '-u' to update the URL of the remote.
  * examples/buildpackage-pdebuild: add '-a' switch for setting
    dpkg-buildpackage's -A option.
  * examples/pbuilder-hooks/*iptables: add logging and dmesg output.
    This helps to detect attempts to connect to the internet during build.

  [ Niko Tyni ]
  * autopkgtest/smoke: add the test directory to @INC due to perl changes.
    See https://lists.debian.org/debian-devel-announce/2016/08/msg00013.html

 -- Niko Tyni <ntyni@debian.org>  Fri, 02 Sep 2016 12:01:29 +0300

pkg-perl-tools (0.32) unstable; urgency=medium

  [ intrigeri ]
  * check-build: adjust to new location of the QEMU autopkgtest
    virtualization helper. This is needed with autopkgtest 4.0+.

  [ gregor herrmann ]
  * examples/check-build: update to work with adt-run and autopkgtest.
  * scripts/upstream-repo: add -u (update) option to change the URL of the
    Git remote 'upstream-repo' in the local clone.
  * patchedit: don't claim that ./debian/patches can be left out when it
    can't.
  * patchedit: always set Last-Update to the mtime of the patch file when
    in fix mode.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Jul 2016 15:05:22 +0200

pkg-perl-tools (0.31) unstable; urgency=medium

  [ gregor herrmann ]
  * scripts/forward: change YAML::XS loading/usage

  [ Axel Beckert ]
  * Treat a "dpt import-orig" parameter as orig tar ball and pass it
    instead of "--uscan" to "gbp import-orig". Needed if a newer upstream
    release has a (from dpkg's point of view) lower version number.

  [ gregor herrmann ]
  * scripts/debian-upstream:
    - only replace URLs for existing keys. Avoids a warning about
      uninitialized values. Closes: #826226
    - add another URL replacement (http://github.com/)

  [ Alex Muntada ]
  * scripts/github-oauth:
    - build default note-text as documented
    - add note regarding 2FA
    - remove AUTHORS section
  * Add alexm copyright for scripts/github-oauth

  [ gregor herrmann ]
  * scripts/forward: return result from detect_tracker_url() sub.

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Jun 2016 16:07:13 +0200

pkg-perl-tools (0.30) unstable; urgency=medium

  * Upload from the Debian Perl Team Sprint in Zürich

  [ gregor herrmann ]
  * examples/check-build:
    - add --no-tag-display-limit to lintian call
    - add --warn-on-debsums-errors to piuparts call
    - show adt-run result with /usr/bin/notify-send
  * script/forward: remove AUTHORS section.
    Duplication of the LICENSE/COPYRIGHT section.
  * Add alexm to debian/copyright for scripts/forward.
  * Switch some more URLs in debian/* to HTTPS.

  [ Alex Muntada ]
  * Remove scripts/forward-{bug,patch}
  * scripts/forward:
    - Warn about default address only when using mail
    - Search for distribution name in debian/upstream/metadata
  * scripts/debian-upstream:
    - Search for Bug-Database in debian/upstream/metadata
    - Switch links to https

  [ Niko Tyni ]
  * Remove outdated arch-any-package-needs-newer-debhelper lintian warning

  [ Axel Beckert ]
  * Option -g now even no more creates debian/upstream/metadata.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 22 May 2016 20:43:40 +0200

pkg-perl-tools (0.29) unstable; urgency=medium

  * pkg-perl-autopkgtest/build-deps.d/smoke now also supports
    debian/tests/pkg-perl/smoke-tests to list which tests should be run by
    prove instead of the default "t/*.t".

 -- Axel Beckert <abe@debian.org>  Fri, 22 Apr 2016 00:14:47 +0200

=== debian/control ===
--- 
+++ 
@@ -29,10 +29,10 @@
                lintian (>= 2.5.28~),
                perl,
                spell | aspell | ispell | hunspell
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pkg-perl-tools.git
-Homepage: http://wiki.debian.org/Teams/DebianPerlGroup
+Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
 
 Package: pkg-perl-tools
 Architecture: all
